xmonad-contrib-0.18.0: Community-maintained extensions for xmonad

Copyright | (c) Roman Cheplyaka
License | BSD3-style (see LICENSE)
Maintainer | Roman Cheplyaka <roma@ro-che.info>
Stability | unstable
Portability | unportable
Safe Haskell | Safe-Inferred
Language | Haskell2010

XMonad.Actions.CycleSelectedLayouts

Contents

- Usage

Description

This module allows to cycle through the given subset of layouts.

Synopsis

- cycleThroughLayouts :: [String] -> X ()

# Usage

You can use this module with the following in your `xmonad.hs`:

    import XMonad
    import XMonad.Actions.CycleSelectedLayouts

      , ((modm,  xK_t ),   cycleThroughLayouts ["Tall", "Mirror Tall"])

cycleThroughLayouts :: [String] -> X () Source #

If the current layout is in the list, cycle to the next layout. Otherwise, apply the first layout from list.